Summary: Utilities for use with dual head setups using independent screens
Name: dualscreen-mouse-utils
Version: 0.5
Release: 4%{?dist}
License: GPLv2
Group: User Interface/X
URL: http://digamma.cs.unm.edu/trac.dmohr/wiki/DualscreenMouseUtils
Source0: http://dsp.mcbf.net/releases/dualscreen-mouse-utils-%{version}.tar.gz
BuildRequires: libX11-devel

%description
Utilities for use with old-school dual head setups: namely not
twinview / one big desktop, but rather two X screens.

mouse-switchscreen:
  Change the mouse cursor from one screen to the other. Remembers the previous
  mouse position for each screen.

mouse-wrapscreen:
  If you have an xorg.conf where both X screens are "separated" on the X
  coordinates, then the mouse cursor cannot cross. Which is sometimes desired,
  and sometimes not. Using mouse-wrapscreen you can configure them to be
  "uncrossable", and then run it in the background when you do want to be able
  to cross the cursor.

%prep
%setup -q

%build
make CFLAGS="%{optflags}" %{?_smp_mflags}

%install
install -d %{buildroot}%{_bindir}
install -m 755 mouse-wrapscreen mouse-switchscreen %{buildroot}%{_bindir}/

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%doc gpl.txt README
%{_bindir}/*

%changelog
* Wed Sep 30 2009 Christian Krause <chkr@fedoraproject.org> - 0.5-4
- Correct email address

* Mon Sep 28 2009 Christian Krause <chkr@fedoraproject.org> - 0.5-3
- Fix spelling mistake

* Sun Sep 27 2009 Christian Krause <chkr@fedoraproject.org> - 0.5-2
- Deleting %%buildroot is not necessary in %%install anymore (F10 and greater)
- Remove definition of %%buildroot (not needed for F10 and greater)
- Use rpm macro for optflags now

* Wed Sep 16 2009 Christian Krause <chkr@fedoraproject.org> - 0.5-1
- Initial package

